LibreOffice LibreOffice 5.3 SDK API Reference

List of all members
XMLSecurityContext Service Reference

Service of XMLSecurityContext. More...

`import"XMLSecurityContext.idl";`

Inheritance diagram for XMLSecurityContext:

## Additional Inherited Members
Public Member Functions inherited from XXMLSecurityContext
long | addSecurityEnvironment ([in] XSecurityEnvironment aSecurityEnvironment) raises ( com::sun::star::security::SecurityInfrastructureException )
| Add personal security environment , and return the index of the added environment. More...
long | getSecurityEnvironmentNumber ()
| Get the number of security environments. More...
com::sun::star::xml::crypto::XSecurityEnvironment | getSecurityEnvironmentByIndex ([in] long index)
| Get personal security environment. More...
com::sun::star::xml::crypto::XSecurityEnvironment | getSecurityEnvironment ()
| An handy method to get the first personal security environment. More...
long | getDefaultSecurityEnvironmentIndex ()
| Get the ID of the internal security environment. More...
void | setDefaultSecurityEnvironmentIndex ([in] long index)
| set the ID of the internal security environment More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Service of XMLSecurityContext.

The documentation for this service was generated from the following file:

- com/sun/star/xml/crypto/XMLSecurityContext.idl